pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

- All
- Variables
- Enumerator

- a
- b
- c
- d
- e
- f
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - p -

- pApplication : CK_FUNCTION_LIST
- parent : _scconf_block
- parm : _scconf_entry
- pBaseG : CK_SKIPJACK_PRIVATE_WRAP_PARAMS
- pClientRandom : CK_SSL3_RANDOM_DATA
- pData : CK_KEY_DERIVATION_STRING_DATA , CK_FUNCTION_LIST
- pDigest : CK_FUNCTION_LIST
- pEncryptedData : CK_FUNCTION_LIST
- pEncryptedPart : CK_FUNCTION_LIST
- phKey : CK_FUNCTION_LIST
- phNewObject : CK_FUNCTION_LIST
- phObject : CK_FUNCTION_LIST
- phPrivateKey : CK_FUNCTION_LIST
- phPublicKey : CK_FUNCTION_LIST
- phSession : CK_FUNCTION_LIST
- pInfo : CK_FUNCTION_LIST
- pInitArgs : CK_FUNCTION_LIST
- pInitVector : CK_PBE_PARAMS
- pIv : CK_RC5_CBC_PARAMS
- pIVClient : CK_SSL3_KEY_MAT_OUT
- pIVServer : CK_SSL3_KEY_MAT_OUT
- pkcs11_module : configuration_st
- pkcs11_modulepath : configuration_st
- pLabel : CK_FUNCTION_LIST
- pLastEncryptedPart : CK_FUNCTION_LIST
- pLastPart : CK_FUNCTION_LIST
- pMechanism : CK_FUNCTION_LIST
- pMechanismList : CK_FUNCTION_LIST
- pNewPassword : CK_SKIPJACK_RELAYX_PARAMS
- pNewPin : CK_FUNCTION_LIST
- pNewPublicData : CK_SKIPJACK_RELAYX_PARAMS
- pNewRandomA : CK_SKIPJACK_RELAYX_PARAMS
- pOldPassword : CK_SKIPJACK_RELAYX_PARAMS
- pOldPin : CK_FUNCTION_LIST
- pOldPublicData : CK_SKIPJACK_RELAYX_PARAMS
- pOldRandomA : CK_SKIPJACK_RELAYX_PARAMS
- pOldWrappedX : CK_SKIPJACK_RELAYX_PARAMS
- policy : configuration_st
- pOperationState : CK_FUNCTION_LIST
- pOtherInfo : CK_X9_42_DH1_DERIVE_PARAMS , CK_X9_42_DH2_DERIVE_PARAMS
- pParameter : CK_MECHANISM
- pPart : CK_FUNCTION_LIST
- pPassword : CK_SKIPJACK_PRIVATE_WRAP_PARAMS , CK_PBE_PARAMS , CK_PKCS5_PBKD2_PARAMS
- ppFunctionList : CK_FUNCTION_LIST
- pPin : CK_FUNCTION_LIST
- pPrfData : CK_PKCS5_PBKD2_PARAMS
- pPrimeP : CK_SKIPJACK_PRIVATE_WRAP_PARAMS
- pPrivateKeyTemplate : CK_FUNCTION_LIST
- pPublicData : CK_ECDH1_DERIVE_PARAMS , CK_ECDH2_DERIVE_PARAMS , CK_X9_42_DH1_DERIVE_PARAMS , CK_X9_42_DH2_DERIVE_PARAMS , CK_SKIPJACK_PRIVATE_WRAP_PARAMS , CK_KEA_DERIVE_PARAMS
- pPublicData2 : CK_ECDH2_DERIVE_PARAMS , CK_X9_42_DH2_DERIVE_PARAMS
- pPublicKeyTemplate : CK_FUNCTION_LIST
- pRandomA : CK_KEA_DERIVE_PARAMS , CK_SKIPJACK_PRIVATE_WRAP_PARAMS
- pRandomB : CK_KEA_DERIVE_PARAMS
- pReserved : CK_C_INITIALIZE_ARGS , CK_FUNCTION_LIST
- pReturnedKeyMaterial : CK_SSL3_KEY_MAT_PARAMS
- prf : CK_PKCS5_PBKD2_PARAMS
- pRserved : CK_FUNCTION_LIST
- pSalt : CK_PBE_PARAMS
- pSaltSourceData : CK_PKCS5_PBKD2_PARAMS
- pSeed : CK_FUNCTION_LIST
- pServerRandom : CK_SSL3_RANDOM_DATA
- pSharedData : CK_ECDH2_DERIVE_PARAMS , CK_ECDH1_DERIVE_PARAMS
- pSignature : CK_FUNCTION_LIST
- pSlot : CK_FUNCTION_LIST
- pSlotList : CK_FUNCTION_LIST
- pSourceData : CK_RSA_PKCS_OAEP_PARAMS
- pSubprimeQ : CK_SKIPJACK_PRIVATE_WRAP_PARAMS
- pt : mapfile
- pTemplate : CK_FUNCTION_LIST
- pulCount : CK_FUNCTION_LIST
- pulDataLen : CK_FUNCTION_LIST
- pulDigestLen : CK_FUNCTION_LIST
- pulEncryptedDataLen : CK_FUNCTION_LIST
- pulEncryptedPartLen : CK_FUNCTION_LIST
- pulLastEncryptedPartLen : CK_FUNCTION_LIST
- pulLastPartLen : CK_FUNCTION_LIST
- pulObjectCount : CK_FUNCTION_LIST
- pulOperationStateLen : CK_FUNCTION_LIST
- pulPartLen : CK_FUNCTION_LIST
- pulSignatureLen : CK_FUNCTION_LIST
- pulSize : CK_FUNCTION_LIST
- pulWrappedKeyLen : CK_FUNCTION_LIST
- pValue : CK_ATTRIBUTE
- pVersion : CK_SSL3_MASTER_KEY_DERIVE_PARAMS
- PW_EXTERNAL : secuPWData
- PW_FROMFILE : secuPWData
- PW_NONE : secuPWData
- PW_PLAINTEXT : secuPWData
- pWrappedKey : CK_FUNCTION_LIST
- pX : CK_KEY_WRAP_SET_OAEP_PARAMS